Subject: Re: linux-next: build failure after merge of the amdgpu tree

From: Rodrigo Siqueira <[email-masked]>
Date: Wed, 12 Feb 2020 11:14:53 -0500

Hi Stephen,

First of all, thanks for your report

On 02/12, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the amdgpu tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> ERROR: "get_num_odm_splits" [drivers/gpu/drm/amd/amdgpu/amdgpu.ko] undefined!
> 
> Presumably caused by commit
> 
>   5bf24270d1cc ("drm/amd/display: add odm split logic to scaling calculations")

Today I managed to reproduce the issue with 'make allmodconfig', now I'm
trying to understand why my .config file did not trigger this issue.  At
first glance looks like 'make allmodconfig' does not add
'CONFIG_DRM_AMD_DC_DCN=y' as a result files under
'drivers/gpu/drm/amd/display/dc/' directory does not get compiled which
includes the file that defines 'get_num_odm_splits'. I'm still looking
at it... 

Thanks
 
> I used the amdgpu tree from next-20200211 for today.
> 
> -- 
> Cheers,
> Stephen Rothwell

-- 
Rodrigo Siqueira
Software Engineer, Advanced Micro Devices (AMD)
https://siqueira.tech